Inovacc Developer

API reference / Knowledge and vector search

Query a collection

POSThttps://ai.inovacc.dev/v1/collections/{id}/query

Search a cloud or local_vectors collection by meaning.

Path params

  • idstringrequired

    The collection id, col_ and 32 hex characters, from POST /v1/collections.

Body params

  • querystringrequired

    The text to match, 1 to 8,000 characters.

  • top_kinteger

    How many matches, 1 to 20. Default 5.

Headers

  • Authorizationstringrequired

    Bearer <API key>

  • X-Operation-Idstringrequired

    a unique id you choose, on every call except GET

  • Content-Typestringrequired

    application/json, on a call with a body

See also

Source details

Catalogue entry

Id
identity/component-taxonomy/capabilities#knowledge
Repository
identity
Path
contracts/component-taxonomy/catalog/capabilities.json
Commit
08ef3cd75d82

Contract section

Id
ai/ai/contract#post-v1collectionsidquery-from-2100
Repository
ai
Path
apps/cloudflare/workers/api/ai/CONTRACT.md
Commit
972a1c15b9d5
Version documented
2.37.0
Version live
2.14.0
Updated 2026-10-10.